Skip to main content
GET
/
api
/
account
/
overview
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/account/overview \
  --header 'Authorization: Bearer <token>'
{
  "account": {
    "account_type": "<string>",
    "current_cash": 123,
    "frozen_cash": 123,
    "hyperliquid_enabled": true,
    "id": 123,
    "initial_capital": 123,
    "is_active": true,
    "name": "<string>",
    "show_on_dashboard": true,
    "user_id": 123,
    "avatar_preset_id": 123,
    "base_url": "<string>",
    "default_leverage": 123,
    "hyperliquid_environment": "<string>",
    "max_leverage": 123,
    "model": "<string>"
  },
  "positions_value": 123,
  "total_assets": 123
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Response

Default account overview

account
object
required
positions_value
number<double>
required
total_assets
number<double>
required